KABC::AddressBook::ConstIterator Class Reference

`#include <addressbook.h>`

## Public Member Functions

| ConstIterator (const ConstIterator &)
| ConstIterator (const Iterator &)
ConstIterator & | operator= (const ConstIterator &)
const Addressee & | operator* () const
const Addressee * | operator-> () const
ConstIterator & | operator++ ()
ConstIterator & | operator++ (int)
ConstIterator & | operator-- ()
ConstIterator & | operator-- (int)
bool | operator== (const ConstIterator &it)
bool | operator!= (const ConstIterator &it)

## Public Attributes

ConstIteratorData * | d

## Detailed Description

Address Book Const Iterator.

This class provides a const iterator for address book entries.

Definition at line 84 of file addressbook.h.

The documentation for this class was generated from the following files:

- addressbook.h
- addressbook.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys